[A001]Application and Issued Trend (keywords & ipc Search & Query Search)

get
https://connect.patsnap.com/insights/patent-trends
Try in Sandbox

Analyze the annual application trend of the technology. The results include the number of patent applications in the unit of application year, and the number & proportion of patents finally issued in the patents applied for that year. The most recent 20 years of application and issued data are returned.

Search must contain either keywords or IPC or Query Search.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
apply_end_time
string2020
Patent apply date to, format:yyyy
apply_start_time
string2010
Patent apply date from, format:yyyy
authority
stringCN
Select the authority of the patent, the default query all databases, eg CN、US、EP、JP. To find more information, refer to https://analytics.zhihuiya.com/status. Example: US OR EP
ipc
stringB66B11
Patent IPC classification
keywords
stringcar
Searches for keywords within patent title and summary. Supports AND, OR, NOT search logic, for example "mobile phone AND (screen OR battery)".
public_end_time
string2020
Patent publication date to, format:yyyy
public_start_time
string2010
Patent publication date from, format:yyyy
query_text
stringTACD: virtual reality
Enter the Analytics Query, with a maximum length of 800 characters and cannot contain complex wildcards such as $W $PRE $WS $SEN $PARA $FREQ .etc

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
values
array[]
values
year
string2024
year
total
integer<int32>100000
total
grant_num
integer<int32>900000
grant number
grant_rate
number<float>90
grant rate
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "values": [
        {
          "year": 2024,
          "total": 100000,
          "grant_num": 900000,
          "grant_rate": 90
        }
      ]
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms